as.hclust {mva} | R Documentation

## Convert Objects to Class hclust

### Description

Converts objects from other hierarchical clustering functions to class `"hclust"`.

### Usage

    as.hclust(x, ...)
    as.hclust.twins(x)

### Arguments

`x` | Hierarchical clustering object

### Details

Currently there is only support for converting objects of class `"twins"` as produced by the functions `diana` and `agnes` from the package ``cluster`'.

### Value

An object of class `"hclust"`.

### See Also

`hclust`, `diana`, `agnes`

### Examples

    x <- matrix(rnorm(30), ncol=3)
    hc <- hclust(dist(x), method="complete")

    library(cluster)
    ag <- agnes(x, method="complete")

    x11()
    par(mfrow=c(1,2))
    plot(hc)
    mtext("hclust", side=1)
    plot(as.hclust(ag))
    mtext("agnes", side=1)

[Package Contents]